Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SPTImage Class Reference

List of all members.

## Public Member Functions
| SPTImage ($ImageIdOrFileNameOrImageObj, $MaxWidth=NULL, $MaxHeight=NULL, $MaxPreviewWidth=NULL, $MaxPreviewHeight=NULL, $MaxThumbnailWidth=NULL, $MaxThumbnailHeight=NULL)
| Id ()
| Url ()
| PreviewUrl ()
| ThumbnailUrl ()
| Format ()
| Height ()
| Width ()
| PreviewHeight ()
| PreviewWidth ()
| ThumbnailHeight ()
| ThumbnailWidth ()
| ImageStorageDirectory ()
| PreviewStorageDirectory ()
| ThumbnailStorageDirectory ()
| GetLink ()
| AltText ($NewValue=NULL)
| Delete ()
| Status ()
| Resize ($MaxWidth, $MaxHeight, $MaxPreviewWidth, $MaxPreviewHeight, $MaxThumbnailWidth, $MaxThumbnailHeight)
| CreateNewImage ($FileName, $MaxWidth, $MaxHeight, $MaxPreviewWidth, $MaxPreviewHeight, $MaxThumbnailWidth, $MaxThumbnailHeight)
| LoadImageInfo ($ImageId)
| CreateCopyOfImage ($SrcImage)
| SetFileNames ()
| GenerateNewImageId ()
| SaveImageInfo ()
## Static Public Member Functions
static | CheckDirectories ()
## Public Attributes
const | IMAGE_PATH = "ImageStorage/"
| IMAGE_PATH base path where images are stored PREVIEW_PATH path where preview images are stored THUMBNAIL_PATH path where thumbnail images are stored
const | PREVIEW_PATH = "ImageStorage/Previews/"
const | THUMBNAIL_PATH = "ImageStorage/Thumbnails/"
| $Id
| $FileName
| $PreviewFileName
| $ThumbnailFileName
| $Format
| $AltText
| $Url
| $PreviewUrl
| $ThumbnailUrl
| $Height
| $Width
| $PreviewHeight
| $PreviewWidth
| $ThumbnailHeight
| $ThumbnailWidth
| $DB
| $ErrorStatus

## Detailed Description

Definition at line 34 of file SPTImage.php.

## Member Function Documentation

SPTImage::AltText | ( | $ | NewValue = `NULL` | ) |

Definition at line 107 of file SPTImage.php.

References Id().

Referenced by CreateCopyOfImage(), and LoadImageInfo().

Here is the caller graph for this function:

static SPTImage::CheckDirectories | ( |  | ) | `[static]`

Definition at line 149 of file SPTImage.php.

SPTImage::CreateCopyOfImage | ( | $ | SrcImage | ) |

Definition at line 455 of file SPTImage.php.

References AltText(), Format(), GenerateNewImageId(), Height(), Id(), PreviewHeight(), PreviewUrl(), PreviewWidth(), SaveImageInfo(), SetFileNames(), Status(), ThumbnailHeight(), ThumbnailUrl(), ThumbnailWidth(), Url(), and Width().

Referenced by SPTImage().

Here is the caller graph for this function:

SPTImage::CreateNewImage | ( | $ | FileName,
|  | $ | MaxWidth,
|  | $ | MaxHeight,
|  | $ | MaxPreviewWidth,
|  | $ | MaxPreviewHeight,
|  | $ | MaxThumbnailWidth,
|  | $ | MaxThumbnailHeight |
| ) |  |  |

Definition at line 306 of file SPTImage.php.

References $FileName, Format(), GenerateNewImageId(), Height(), Id(), Image::MissingExternalExecutables(), PreviewHeight(), PreviewWidth(), SaveImageInfo(), SetFileNames(), Status(), ThumbnailHeight(), ThumbnailWidth(), and Width().

Referenced by SPTImage().

Here is the caller graph for this function:

SPTImage::Delete | ( |  | ) |

Definition at line 126 of file SPTImage.php.

References Id().

SPTImage::Format | ( |  | ) |

Definition at line 94 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), SaveImageInfo(), and SetFileNames().

Here is the caller graph for this function:

SPTImage::GenerateNewImageId | ( |  | ) |

Definition at line 512 of file SPTImage.php.

Referenced by CreateCopyOfImage(), and CreateNewImage().

Here is the caller graph for this function:

SPTImage::GetLink | ( |  | ) |

Definition at line 104 of file SPTImage.php.

SPTImage::Height | ( |  | ) |

Definition at line 95 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and Resize().

Here is the caller graph for this function:

SPTImage::Id | ( |  | ) |

Definition at line 90 of file SPTImage.php.

Referenced by AltText(), CreateCopyOfImage(), CreateNewImage(), Delete(), LoadImageInfo(), SaveImageInfo(), and SetFileNames().

Here is the caller graph for this function:

SPTImage::ImageStorageDirectory | ( |  | ) |

Definition at line 101 of file SPTImage.php.

SPTImage::LoadImageInfo | ( | $ | ImageId | ) |

Definition at line 424 of file SPTImage.php.

References AltText(), Format(), Height(), Id(), PreviewHeight(), PreviewWidth(), SetFileNames(), ThumbnailHeight(), ThumbnailWidth(), and Width().

Referenced by SPTImage().

Here is the caller graph for this function:

SPTImage::PreviewHeight | ( |  | ) |

Definition at line 97 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and Resize().

Here is the caller graph for this function:

SPTImage::PreviewStorageDirectory | ( |  | ) |

Definition at line 102 of file SPTImage.php.

SPTImage::PreviewUrl | ( |  | ) |

Definition at line 92 of file SPTImage.php.

Referenced by CreateCopyOfImage().

Here is the caller graph for this function:

SPTImage::PreviewWidth | ( |  | ) |

Definition at line 98 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and Resize().

Here is the caller graph for this function:

SPTImage::Resize | ( | $ | MaxWidth,
|  | $ | MaxHeight,
|  | $ | MaxPreviewWidth,
|  | $ | MaxPreviewHeight,
|  | $ | MaxThumbnailWidth,
|  | $ | MaxThumbnailHeight |
| ) |  |  |

Definition at line 226 of file SPTImage.php.

References Height(), PreviewHeight(), PreviewWidth(), SaveImageInfo(), ThumbnailHeight(), ThumbnailWidth(), and Width().

SPTImage::SaveImageInfo | ( |  | ) |

Definition at line 524 of file SPTImage.php.

References Format(), Id(), and ThumbnailHeight().

Referenced by CreateCopyOfImage(), CreateNewImage(), and Resize().

Here is the caller graph for this function:

SPTImage::SetFileNames | ( |  | ) |

Definition at line 492 of file SPTImage.php.

References Image::Extension(), Format(), and Id().

Referenced by CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

Here is the caller graph for this function:

SPTImage::SPTImage | ( | $ | ImageIdOrFileNameOrImageObj,
|  | $ | MaxWidth = `NULL`,
|  | $ | MaxHeight = `NULL`,
|  | $ | MaxPreviewWidth = `NULL`,
|  | $ | MaxPreviewHeight = `NULL`,
|  | $ | MaxThumbnailWidth = `NULL`,
|  | $ | MaxThumbnailHeight = `NULL` |
| ) |  |  |

Definition at line 48 of file SPTImage.php.

References CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

SPTImage::Status | ( |  | ) |

Definition at line 142 of file SPTImage.php.

Referenced by CreateCopyOfImage(), and CreateNewImage().

Here is the caller graph for this function:

SPTImage::ThumbnailHeight | ( |  | ) |

Definition at line 99 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), Resize(), and SaveImageInfo().

Here is the caller graph for this function:

SPTImage::ThumbnailStorageDirectory | ( |  | ) |

Definition at line 103 of file SPTImage.php.

SPTImage::ThumbnailUrl | ( |  | ) |

Definition at line 93 of file SPTImage.php.

Referenced by CreateCopyOfImage().

Here is the caller graph for this function:

SPTImage::ThumbnailWidth | ( |  | ) |

Definition at line 100 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and Resize().

Here is the caller graph for this function:

SPTImage::Url | ( |  | ) |

Definition at line 91 of file SPTImage.php.

Referenced by CreateCopyOfImage().

Here is the caller graph for this function:

SPTImage::Width | ( |  | ) |

Definition at line 96 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and Resize().

Here is the caller graph for this function:

## Member Data Documentation

SPTImage::$AltText

Definition at line 293 of file SPTImage.php.

SPTImage::$DB

Definition at line 303 of file SPTImage.php.

SPTImage::$ErrorStatus

Definition at line 304 of file SPTImage.php.

SPTImage::$FileName

Definition at line 289 of file SPTImage.php.

Referenced by CreateNewImage().

SPTImage::$Format

Definition at line 292 of file SPTImage.php.

SPTImage::$Height

Definition at line 297 of file SPTImage.php.

SPTImage::$Id

Definition at line 288 of file SPTImage.php.

SPTImage::$PreviewFileName

Definition at line 290 of file SPTImage.php.

SPTImage::$PreviewHeight

Definition at line 299 of file SPTImage.php.

SPTImage::$PreviewUrl

Definition at line 295 of file SPTImage.php.

SPTImage::$PreviewWidth

Definition at line 300 of file SPTImage.php.

SPTImage::$ThumbnailFileName

Definition at line 291 of file SPTImage.php.

SPTImage::$ThumbnailHeight

Definition at line 301 of file SPTImage.php.

SPTImage::$ThumbnailUrl

Definition at line 296 of file SPTImage.php.

SPTImage::$ThumbnailWidth

Definition at line 302 of file SPTImage.php.

SPTImage::$Url

Definition at line 294 of file SPTImage.php.

SPTImage::$Width

Definition at line 298 of file SPTImage.php.

const SPTImage::IMAGE_PATH = "ImageStorage/"

IMAGE_PATH base path where images are stored PREVIEW_PATH path where preview images are stored THUMBNAIL_PATH path where thumbnail images are stored

Definition at line 43 of file SPTImage.php.

const SPTImage::PREVIEW_PATH = "ImageStorage/Previews/"

Definition at line 44 of file SPTImage.php.

const SPTImage::THUMBNAIL_PATH = "ImageStorage/Thumbnails/"

Definition at line 45 of file SPTImage.php.

The documentation for this class was generated from the following file:

- SPTImage.php